Bug 12390 - Сделать определённым определение кодировки клиента
: Сделать определённым определение кодировки клиента
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MySQL-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 10370
: 13909
  Show dependency tree
 
Reported: 2007-07-21 00:54 by
Modified: 2010-01-27 13:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-21 00:54:06
Во избежание существующих ныне ситуаций, когда сервер выдаёт клиенту строки в 
latin1, а клиент думает что это кириллица, а при этом в базе кривые строки 
сохраняются, предлагаю хитрую логику в /etc/init.d/mysqld заменить или 
дополнить умолчанием: utf8.

А вообще эквилибристики с определением кодировок для сервере по-моему вредны,
и таких конструкций в современной системе быть не должно:
    default_charset="$(HOME=/var/empty . /etc/profile.d/lang.sh && locale |
sed -ne 's/^LC_COLLATE="\?[^".]\+\.\([^"]\+\)"\?$/\1/p
    case "$default_charset" in
        CP1251)
            CHSET=cp1251
            ;;
        KOI8-R)
            CHSET=koi8r
            ;;
        KOI8-U)
            CHSET=koi8u
            ;;
        UTF-8)
            CHSET=utf8
            ;;
        *)
------- Comment #1 From 2010-01-27 13:32:02 -------
MySQL-5.0.89-alt1 -> sisyphus:

* Mon Jan 25 2010 Anton Farygin <rider@altlinux> 5.0.89-alt1

- new version (closes #18943)
- fixed CVE-2009-2446 from upstream (closes #20724)
- setup utf8 encoding instead of latin1 by default (closes #12390)
- include C99 aliasing violation patch from mythtv (closes #22452)
- removed username-length patch
- wait for mysqld shutdown (closes #22234)
- don't run initial setup mysql database if mysql.user table already exists